Skip to main content
GET
Get Webhook Delivery Attempts

Path Parameters

portfolio_id
string
required
subscription_id
string
required
event_id
string
required

Response

A successful response.

GetWebhookDeliveryAttemptsResponse returns an event's payload, delivery state, and attempts for a subscription.

event_id
string
event_type
string
subscription_id
string
delivery_status
enum<string>

WebhookDeliveryStatus describes the delivery state of a webhook event.

Available options:
WEBHOOK_DELIVERY_STATUS_DELIVERED,
WEBHOOK_DELIVERY_STATUS_RETRYING,
WEBHOOK_DELIVERY_STATUS_FAILED,
WEBHOOK_DELIVERY_STATUS_PENDING
attempts
object[]
event_payload
string<byte>

event_payload is the raw JSON bytes delivered to the subscriber.

Pattern: ^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$